- Main Page
- Namespaces
- Classes
- Files
- Directories
- Related Pages

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

# Exponent::GUI::Controls::CMenuItemDisplay::CMenuItemSelectable Class Reference

Inheritance diagram for Exponent::GUI::Controls::CMenuItemDisplay::CMenuItemSelectable:

List of all members.

## Detailed Description

Basic Class to selection tick or x mark.

Definition at line 196 of file CMenuItemDisplay.hpp.

## Public Member Functions

- CMenuItemSelectable (IControlRoot *root, const long uniqueId, const CRect &area, CMenuItem *item)
- virtual void drawControl (CGraphics &graphics)
- void setMenuItem (CMenuItem *item)
- virtual ~CMenuItemSelectable ()

## Protected Attributes

- TAutomaticPointer< CMenuItem > m_menuItem

## Constructor & Destructor Documentation

Exponent::GUI::Controls::CMenuItemDisplay::CMenuItemSelectable::CMenuItemSelectable | ( | IControlRoot * | root,
|  | const long | uniqueId,
|  | const CRect & | area,
|  | CMenuItem * | item |
| ) |  |  |

Construction

Parameters:

  | root | The root control
  | uniqueId | The id of this control
  | area | The area of this control
  | item | The menu item

virtual Exponent::GUI::Controls::CMenuItemDisplay::CMenuItemSelectable::~CMenuItemSelectable | ( |  | ) | `[virtual]`

Destruction

## Member Function Documentation

virtual void Exponent::GUI::Controls::CMenuItemDisplay::CMenuItemSelectable::drawControl | ( | CGraphics & | graphics | ) | `[virtual]`

Draw the control

Parameters:

  | graphics | The graphics context

Reimplemented from Exponent::GUI::Controls::CControl.

void Exponent::GUI::Controls::CMenuItemDisplay::CMenuItemSelectable::setMenuItem | ( | CMenuItem * | item | ) | `[inline]`

Set the menu item

Parameters:

  | item | The menu item

Definition at line 228 of file CMenuItemDisplay.hpp.

References m_menuItem.

## Member Data Documentation

TAutomaticPointer<CMenuItem> Exponent::GUI::Controls::CMenuItemDisplay::CMenuItemSelectable::m_menuItem`[protected]`

The menu item

Definition at line 232 of file CMenuItemDisplay.hpp.

Referenced by setMenuItem().